Create a new environment
curl --request POST \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Tenant-Id: <tenant-id>' \
--data '
{
"project_id": "<string>",
"name": "<string>",
"aws_region": "us-east-1",
"aws_account_id": "<string>",
"description": "<string>"
}
'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment"
payload = {
"project_id": "<string>",
"name": "<string>",
"aws_region": "us-east-1",
"aws_account_id": "<string>",
"description": "<string>"
}
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Tenant-Id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
project_id: '<string>',
name: '<string>',
aws_region: 'us-east-1',
aws_account_id: '<string>',
description: '<string>'
})
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sk": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"aws_region": "us-east-1",
"aws_account_id": "<string>",
"status": "CLONED",
"total_resources": 123,
"env_variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"sensitive": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": "<string>"
}
],
"webhooks": [
{
"id": "<string>",
"events": [
"<string>"
],
"endpoint": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_workflow_id": "<string>",
"stack_info": "<string>",
"bootstraped_info": {
"artifacts_bucket_arn": "<string>",
"artifacts_bucket_name": "<string>",
"openid_role_arn": "<string>",
"openid_role_name": "<string>"
},
"month_cost": {
"cost": 123,
"cost_unit": "<string>",
"max_day_cost": 123,
"min_day_cost": 123,
"average_day_cost": 123
}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Environments
Create a new environment
POST
/
environment
Create a new environment
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).
Body
application/json
AWS region identifier. Matches models.AwsRegion JSON values in paas-lib.
Available options:
us-east-1, us-east-2, us-west-1, us-west-2, us-gov-east-1, us-gov-west-1, ca-central-1, ca-west-1, eu-central-1, eu-central-2, eu-north-1, eu-west-1, eu-west-2, eu-west-3, eu-south-1, eu-south-2, me-south-1, me-central-1, mx-central-1, cn-north-1, cn-northwest-1, ap-east-1, ap-south-1, ap-south-2, ap-northeast-1, ap-northeast-2, ap-northeast-3, ap-southeast-1, ap-southeast-2, ap-southeast-3, ap-southeast-4, ap-southeast-5, ap-east-2, ap-southeast-7, ap-southeast-6, af-south-1, sa-east-1 Example:
"us-east-1"
Response
Created
AWS region identifier. Matches models.AwsRegion JSON values in paas-lib.
Available options:
us-east-1, us-east-2, us-west-1, us-west-2, us-gov-east-1, us-gov-west-1, ca-central-1, ca-west-1, eu-central-1, eu-central-2, eu-north-1, eu-west-1, eu-west-2, eu-west-3, eu-south-1, eu-south-2, me-south-1, me-central-1, mx-central-1, cn-north-1, cn-northwest-1, ap-east-1, ap-south-1, ap-south-2, ap-northeast-1, ap-northeast-2, ap-northeast-3, ap-southeast-1, ap-southeast-2, ap-southeast-3, ap-southeast-4, ap-southeast-5, ap-east-2, ap-southeast-7, ap-southeast-6, af-south-1, sa-east-1 Example:
"us-east-1"
Available options:
CLONED, DEFINED, DEPLOY_IN_PROGRESS, DEPLOYED, FAILED, ROLLBACK, REQUIRES_MANUAL_DELETION Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Aggregated cost summary for a billing period.
Show child attributes
Show child attributes